QGIS Application - Bug report #20980
NETCDF file format could not be read by QGIS
2019-01-12 08:32 AM - Amirhossein Nikfal

Status: Open

Priority: Normal

Assignee:

Category: Data Provider/MDAL

Affected QGIS version:3.4.4

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 28799

Description

Dear all,

In the newest versions of QGIS (3.4.1, 3.4.2, ...), adding NETCDF files as raster layers seems to be crashed. After trying to add such file

formats, the below message encounters:

Invalid Layer: Raster layer Provider is not valid (provider: gdal, URI: $path-to-netcdf-file)

Any comments would be appreciated.

thanks in advance

Related issues:

Related to QGIS Application - Bug report # 20921: Cannot load netcdf files in...

Closed 2019-01-04

History

#1 - 2019-01-12 09:25 AM - Saber Razmjooei

- Category changed from GDAL Tools to Data Provider
- Status changed from Open to Feedback

- Assignee deleted (Amirhossein Nikfal)

- Priority changed from High to Normal

Hi, would it be possible to upload an example file? Could be related to #20921

#2 - 2019-01-12 09:38 AM - Saber Razmjooei

- Related to Bug report #20921: Cannot load netcdf files into QGIS 3.4.3 added

#3 - 2019-01-12 10:43 AM - Amirhossein Nikfal
- File Sapmple-file-for-QGIS.nc added

It looks weird. For the attached file as an another NetCDF, it can be loaded without any problem. The file which cannot be loaded is larger than 5 MB and

cannot be attached.

#4 - 2019-01-12 01:28 PM - Saber Razmjooei
- File load mesh nc.gif added
This one works fine. | can manage to open it as Mesh layer and browse through the time. You can use google drive or dropbox or other services to upload

files larger than 5 mb.

#5 - 2019-02-04 09:09 AM - Amirhossein Nikfal

Dear QGIS users, especially dear Saber,

Sorry for the long silence,

Would you please take a look at the NETCDF file below, which seems not to be opened by QGIS?
https://drive.google.com/open?id=1vtHc5GtDhUe2ENTkua8ihWgp6jY THPBo

Many thanks for your previous comments.

My regards,

Amirhossein

#6 - 2019-02-04 10:48 AM - Giovanni Manghi

- Status changed from Feedback to Open

#7 - 2019-02-04 12:59 PM - Saber Razmjooei

- Status changed from Open to Closed

| can indeed open the netcdf as a mesh layer in QGIS.

Could you try QGIS master (latest weekly if you are a windows user):
https://qgis.org/downloads/weekly/?C=M;0=D

| close this, but feel free to open if you still have problems. And here is the animation of the meshlayer exported using Crayfish plugin:
https://youtu.be/EfMxolwmcAk

#8 - 2019-02-04 01:24 PM - Amirhossein Nikfal

I am mainly a Linux user and | carry out most of my data analyses by NCAR Command Language (NCL), but this is a Windows issue for me.
I don't have any problem with the NetCDF file format in QGIS 2.18.27. But for the newer versions, it shows some errors relevant to gdal, and cannot open
the NETCDF file.

#9 - 2019-02-04 01:41 PM - Saber Razmjooei

- Affected QGIS version changed from 3.4.3 to 3.4.4

- Category changed from Data Provider to Data Provider/MDAL
- Status changed from Closed to Open

Hi Amirhossein,

Unfortunately, mesh is under active development and if you want the latest version (with faster rendering and lots of performance enhancement), best to
upgrade to QGIS master.
https://drive.google.com/open?id=1vtHc5GtDhUe2ENTkua8ihWqp6jYTHPBo
https://qgis.org/downloads/weekly/?C=M;O=D
https://youtu.be/EfMxoIwmcAk

You can have 2 versions of QGIS side-by-side in Linux. See https://qgis.org/en/site/forusers/download.html

Files
Sapmple-file-for-QGIS.nc 76 KB 2019-01-12 Amirhossein Nikfal
load mesh nc.gif 2.32 MB 2019-01-12 Saber Razmjooei
https://qgis.org/en/site/forusers/download.html

